/* 
### Primary

- Cyan: hsl(179, 62%, 43%)
- Bright Yellow: hsl(71, 73%, 54%)

### Neutral


*/

:root{
    --cyan:hsl(179, 62%, 43%);
    --BrightYellow: hsl(71, 73%, 54%);
    --LightGray: hsl(204, 43%, 93%);
    --GrayishBlue: hsl(218, 22%, 67%);
}

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

body{
    font-size: 15px;
    font-family: 'Karla', sans-serif;
    position: relative;
    max-height: 100vh;
    background-color: var(--LightGray) ;
}
.top{
    background-color: white;
}
.left{
    padding: 45px 40px ;
    background-color: var(--cyan);
}
.left, .right{
    height: 100%;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    /* align-content: center; */
    font-size: 1.1rem;
}
.dollar{
    font-size: 3rem;
}
.title{
    font-size: 1.3rem;
    font-weight: 700;
}
.right{
    padding: 45px 40px;
    background-color: rgba(18, 167, 167, 0.7);
    color:var(--LightGray);
}
.heading{
    color: var(--cyan);
    font-size: 2rem;
    font-weight: 700;
}
.subheading{
    font-size: 1.5rem;
    color: var(--BrightYellow);
    font-weight: 700;
}
.top p{
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--GrayishBlue);
}
.btn{
    background-color: var(--BrightYellow);
    height: 50px;
    text-align: center;
    padding: 15px;
    font-weight: 700;
    font-size: 1.2rem;
    border-radius:5px;
    box-shadow: 0px 5px 10px rgba(3, 3, 3,0.4);
}
.cyan{
    margin-top: 10px;
    color: hsl(179, 64%, 31%);
}
@media only screen and (min-width: 600px) {
    .container{
        display: grid;
        grid-template-rows:45% 55%;
        box-shadow: 0px 5px 15px  rgb(172, 165, 165);
        width: 50%;
        min-height: 70vh;
        margin: 50vh auto 0;
        transform: translateY(-50%);
    }
    .bottom{
        display: grid;
        grid-template-columns: repeat(2,1fr);
    }
    .top{
        padding: 40px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }
    
}

/*  mobile  */
@media only screen and (max-width: 600px) {
    .container{
        width: 90%;
        margin: 60px auto;
        box-shadow: 0px 5px 15px  rgb(172, 165, 165);
        display: flex;
        flex-direction: column;
    }
    .top{
        display: flex;
        flex-direction: column;
        height: 45vh;
        padding: 20px;
        justify-content: space-evenly;
    }
    .heading{
        font-size: 1.4rem;
        font-weight: 700;
    }
    .subheading{
        font-weight: 400;
        font-size: 1.1rem;
    }
    .top p{
        font-size: 0.9rem;
        line-height: 1.7em;
        word-spacing: 0.1em;
        font-weight: 400;
        color: var(--GrayishBlue);
    }
    .left, .right{
        padding: 20px;
        height: 45vh;
    }
    .title{
        font-size: 1.1;
    }
}